WP6UnsupportedFixedLengthGroup Class Reference documentation

Public Member Functions | Protected Member Functions | List of all members
WP6UnsupportedFixedLengthGroup Class Reference

`#include <WP6UnsupportedFixedLengthGroup.h>`

Inheritance diagram for WP6UnsupportedFixedLengthGroup:

## Public Member Functions
| WP6UnsupportedFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP6Listener *) override
Public Member Functions inherited from WP6FixedLengthGroup
| WP6FixedLengthGroup (unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()
virtual void | parse (WP6Listener *listener)=0

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *) override
Protected Member Functions inherited from WP6FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0

## Additional Inherited Members
Static Public Member Functions inherited from WP6FixedLengthGroup
static WP6FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ WP6UnsupportedFixedLengthGroup()

WP6UnsupportedFixedLengthGroup::WP6UnsupportedFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

## ◆ _readContents()

void WP6UnsupportedFixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | ,
|  | WPXEncryption * |
| ) |  |
| inlineoverrideprotectedvirtual

Implements WP6FixedLengthGroup.

## ◆ parse()

void WP6UnsupportedFixedLengthGroup::parse | ( | WP6Listener * |  | ) |
| inlineoverridevirtual

Implements WP6Part.

The documentation for this class was generated from the following files:

- WP6UnsupportedFixedLengthGroup.h
- WP6UnsupportedFixedLengthGroup.cpp